pub trait IntoTorrent {
    fn into_torrent(&self) -> Torrent;
}

#[derive(Clone, Serialize, Deserialize)]
pub struct Torrent {
    pub hash: String,
    pub name: String,
    pub path: String,
    pub date_start: i64,
    pub date_end: i64,
    /// Progress percentage (0-100)
    pub progress: u8,
    pub size: i64,
}
