#[derive(Debug, Serialize, Deserialize)]
pub struct TorrentTracker {
    pub url: String,
    pub status: usize,
    pub msg: String,
}

impl TorrentTracker {
    // Filtering out DHT
    pub fn is_tracker(&self) -> bool {
        ! self.url.starts_with("**")
    }
}
