#[macro_use] extern crate serde;

pub mod action;
pub mod api;
pub use api::{Torrent, TorrentList, IntoTorrent};
pub mod config;
pub use config::Config;
pub mod cli;
pub use cli::Cli;
pub mod error;
pub use crate::error::{Error, ConfigSnafu as ConfigError};
pub mod utils;
